#charset "us-ascii"
#include <adv3.h>
#include <en_us.h>

modify Door
  connectorTravelPreCond()
     {
         if(gActor.isGhost)
           return Passage.connectorTravelPreCond;
         else
           return inherited;         
     }
  dobjFor(TravelVia)
     {
         action()
         {
  			 if(!isOpen && gActor.isGhost)
  			   "{Your/his} insubstantial form passes through
  			    {the dobj/him}, even though {it dobj/he} {is}n't open. ";
             /* move the actor to our destination */
             inherited();
 
         }
     }
  canActorTravel(actor)
     {
         return isOpen || actor.isGhost;
     }
  
;

modify Thing
  dobjFor(Take)
  {
    check()
    {
      inherited;
      if(gActor.isGhost)
      {
        "{Your/his} ghostly fingers pass straight through {the dobj/him} without
          getting any purchase on {it dobj/him}; it looks like ghosts can't
          pick up physical objects. ";
        exit;
      }
    }
  }
  dobjFor(Feel) {
    check() {
      inherited;
      if(gActor.isGhost)
      {
        "{Your/his} ghostly hands have no sense of touch, but even if they did
        {you/he} probably wouldn\'t feel anything, since {your/her} fingers
         pass straight through {the dobj/him}. ";
         exit;
      }
    }
  }
;

modify Openable  
  makeOpen(stat)
  {
   if(gActor.isGhost)
     {
        "{Your/his} insubstantial fingers can't get a purchase on {the dobj/him}
         to <<stat ? 'open' : 'close'>> {it dobj/him}. ";
         exit;
     }
   else
     inherited(stat);
  }
;

modify Attachable
 dobjFor(Attach) {
   check() {
     if(gActor.isGhost)
     {
       reportFailure(cannotManipulateMsg);
       exit;
     }
     inherited;
   }
 }
 dobjFor(Detach) {
   check() {
     if(gActor.isGhost)
     {
       reportFailure(cannotManipulateMsg);
       exit;
     }
     inherited;
   }
 }
 cannotManipulateMsg = '{Your/his} ghostly hands manipulate physical objects. '
;

modify Actor
    isHim = true
    dobjFor(Attack) {
      check() {
        if(gActor.isGhost)
        {
          "{Your/his} insubstantial fist passes straight through {the dobj/him}. ";
          exit;
        }
      }
    }
    dobjFor(Kiss) {
      check() {
        if(gActor.isGhost)
        {
          "{You/he} move {your/her} ghostly lips near {its dobj/hers}, but
          {it dobj/she} neither sees nor feels them. ";
          exit;
        }
      }
    }
;
