#charset "us-ascii"
#include <adv3.h>
#include <en_us.h>

#ifdef __DEBUG

DefineSystemAction(GhostMode)
  execSystemAction
  {
    ghost.isGhost = !ghost.isGhost;
    "Okay, ghostmode is now <<ghost.isGhost ? 'on' : 'off'>>. ";
  }
;

VerbRule(GhostMode)
  ('toggle' |'t' | ) ('ghostmode' | 'gm')
  : GhostModeAction
  verbPhrase = 'toggle/toggling ghostmode' 
;

DefineIAction(Intrude)
  execAction()
  {
    royalistManAtArms8.moveIntoForTravel(keep);
    royalistManAtArms8.scriptedTravelTo(chamber);
  }
;

VerbRule(Intrude)
  'intrude'
  : IntrudeAction
  verbPhrase = 'intrude/intruding'
;

#endif

DefineSystemAction(Help)
  execSystemAction
  {
    "Don't trouble yourself to look for any hidden objectives in the
    game -- there are a number of things to see, but no puzzles or
    scoring. The only point is to explore and watch the action. You
    can experience the game in full if you limit yourself to
    directional commands, though there are things to examine here
    and there.\b

    You can toggle realtime with the command \">TOGGLE REALTIME\".
    In realtime, actors get turns while you (the player) enter your
    commands. In turn-based action, actors will take their turns only
    after you enter a command; but note that the actors remain in
    pseudo-realtime, so the longer you take to enter your next command,
    the more actors will take turns when you take yours (although no
    single actor will take more than one turn during your turn cycle,
    unless you're switched to realtime). Try both, and see which you
    prefer.
    (Realtime is currently
    <<(Rapper.rSwitchableAnimateDaemon == rRTAnimateDaemon) ?
    'on' : 'off'>>.)\b

    You can also \">PAUSE\" the automation processing, if you want to
    freeze the game for any reason.\b

    Because one of the goals of the game is to test the limits of the
    RAP engine, this game can be pretty CPU intensive. (In other words,
    if you're playing on a slightly older-model computer, processing
    can get jammed up.) If your command prompt becomes unforgivably
    jerky, or your enjoyment of the game is otherwise reduced by
    lag-time, you can mitigate this by slowing the pace of certain
    game processes:\n
    The system-adjustment verb \">SLOWER\" doesn't turn lagtime into
    mana, but it might help if the game is jamming up your processor.\b

    You can check the \">MAP\" for an illustration of your character's
    environment.\n ";
  }
;

VerbRule(Help)
  ('help' | 'hint')
  : HelpAction
  verbPhrase = 'request/requesting help'
;


/* swing on verb for rope:
 */

DefineTAction(SwingOn);

VerbRule(SwingOn)
    ('swing' | 'swing' 'on') singleDobj
    : SwingOnAction
    verbPhrase = 'swing/swinging on (what)'
;

modify Thing
    dobjFor(SwingOn) {
        verify() {
            illogical('{You/he} cannot swing on {that dobj/him}. ');
       }
    }
;

DefineIAction(ViewMap)
  execAction()
  {
    "<IMG SRC='resources/BattleMap800x480.jpg'><.p>";
  }
;


VerbRule(ViewMap)
 ('view' | 'show' | 'display' | ) 'map'
 : ViewMapAction
 verbPhrase = 'view/viewing map'
;


